| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
GUID_t Struct Reference
eProsima Fast DDS API Reference » RTPS » Common Module.

Structure GUID_t, entity identifier, unique in DDS-RTPS Domain. More...

`#include <Guid.hpp>`

## Public Member Functions

| GUID_t () noexcept
| Default constructor.
| GUID_t (const GuidPrefix_t &guid_prefix, uint32_t id) noexcept
| Construct.
| GUID_t (const GuidPrefix_t &guid_prefix, const EntityId_t &entity_id) noexcept
bool | is_on_same_host_as (const GUID_t &other_guid) const
| Checks whether this guid is from an entity on the same host as another guid.
bool | is_from_this_host () const
| Checks whether this guid is from a (Fast-DDS) entity created on this host (from where this method is called).
bool | is_on_same_process_as (const GUID_t &other_guid) const
| Checks whether this guid is for an entity on the same host and process as another guid.
bool | is_from_this_process () const
| Checks whether this guid is from a (Fast-DDS) entity created on this process (from where this method is called).
bool | is_builtin () const
| Checks whether this guid corresponds to a builtin entity.
| operator const InstanceHandle_t & () const

## Static Public Member Functions

static GUID_t | unknown () noexcept

## Public Attributes

GuidPrefix_t | guidPrefix
| Guid prefix.
EntityId_t | entityId
| Entity id.

## Detailed Description

Structure GUID_t, entity identifier, unique in DDS-RTPS Domain.

## Constructor & Destructor Documentation

## ◆ GUID_t() [1/3]

GUID_t | ( |  | ) |

inline noexcept

Default constructor.

Contructs an unknown GUID.

## ◆ GUID_t() [2/3]

GUID_t | ( | const GuidPrefix_t & | guid_prefix,
|  | uint32_t | id )

inline noexcept

Construct.

Parameters

  guid_prefix | Guid prefix
  id | Entity id

## ◆ GUID_t() [3/3]

GUID_t | ( | const GuidPrefix_t & | guid_prefix,
|  | const EntityId_t & | entity_id )

inline noexcept

Parameters

  guid_prefix | Guid prefix
  entity_id | Entity id

## Member Function Documentation

## ◆ is_builtin()

bool is_builtin | ( |  | ) | const

inline

Checks whether this guid corresponds to a builtin entity.

Returns
  true when this guid corresponds to a builtin entity, false otherwise.

## ◆ is_from_this_host()

bool is_from_this_host | ( |  | ) | const

inline

Checks whether this guid is from a (Fast-DDS) entity created on this host (from where this method is called).

Returns
  true when this guid is from a (Fast-DDS) entity created on this host, false otherwise.

## ◆ is_from_this_process()

bool is_from_this_process | ( |  | ) | const

inline

Checks whether this guid is from a (Fast-DDS) entity created on this process (from where this method is called).

Returns
  true when this guid is from a (Fast-DDS) entity created on this process, false otherwise.

## ◆ is_on_same_host_as()

bool is_on_same_host_as | ( | const GUID_t & | other_guid | ) | const

inline

Checks whether this guid is from an entity on the same host as another guid.

Note
  This method assumes the value of `other_guid` was originally assigned by Fast-DDS vendor.

Parameters

  other_guid | GUID_t to compare to.

Returns
  true when this guid is on the same host, false otherwise.

## ◆ is_on_same_process_as()

bool is_on_same_process_as | ( | const GUID_t & | other_guid | ) | const

inline

Checks whether this guid is for an entity on the same host and process as another guid.

Note
  This method assumes the value of `other_guid` was originally assigned by Fast-DDS vendor.

Parameters

  other_guid | GUID_t to compare to.

Returns
  true when this guid is on the same host and process, false otherwise.

## ◆ operator const InstanceHandle_t &()

operator const InstanceHandle_t & | ( |  | ) | const

inline explicit

## ◆ unknown()

GUID_t unknown | ( |  | ) |

inline static noexcept

## Member Data Documentation

## ◆ entityId

EntityId_t entityId

Entity id.

## ◆ guidPrefix

GuidPrefix_t guidPrefix

Guid prefix.

The documentation for this struct was generated from the following file:

- include/fastdds/rtps/common/Guid.hpp